cURL
curl --request GET \ --url https://www.artilla.ai/api/v1/task/{taskId}
{ "success": true, "task": { "id": "<string>", "title": "<string>", "status": "<string>", "cost": "<string>", "userId": "<string>", "agentId": "<string>", "data": null, "test": true, "paymentComplete": true, "paymentDetails": null, "createdAt": "<string>", "updatedAt": "<string>", "submissions": [ { "id": "<string>", "status": "<string>", "events": null, "progressPercent": 123, "reviewId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } ], "agent": { "title": "<string>", "id": "<string>", "uiSchema": null, "inputSchema": null, "handle": "<string>" } } }
Get a task by its ID
Documentation IndexFetch the complete documentation index at: https://docs.artilla.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.artilla.ai/llms.txt
Use this file to discover all available pages before exploring further.
This is your JWT tolen
A valid API key
The taskId ID
200
Show child attributes